<template lang="pug">
section.services
  .services__wrap.wrap
    .services__main
      .services__content
        h1.services__title.title-1 Наши услуги
        p.services__text.text Оптимизирует ваш рабочий процесс, автоматически объединяя HR, льготы, заработную плату и планирование на одной платформе.
        button.services__btn.btn-main(@click="order()") Заказать уборку
      .services__img: img(src="@/assets/img/clining-man.png" alt="clining man")
    v-tabs.services__tabs
  .services__bg: img(src="@/assets/img/bg-services.png" alt="bg")
</template>

<script>
import vTabs from "@/components/services/v-tabs.vue";

export default {
  name: "vServices",
  props: {},
  components: {
    vTabs,
  },
  methods: {
    order() {
      console.log("click");
    },
  },
};
</script>

<style lang="scss">
.services {
  position: relative;
  min-height: 912px;
  &__wrap {
    display: flex;
    justify-content: space-between;

    height: 100%;

    padding-top: 50px !important;
    padding-bottom: 120px !important;
    @media (max-width: 1038px) {
      display: flex;
      flex-direction: column;
      height: auto;

      background-color: $white;
      margin-top: 100px !important;
    }
  }
  &__content {
    @media (max-width: 1038px) {
      justify-content: center;
      flex-direction: column;
      align-items: center;
      display: flex;
    }
  }
  &__tabs {
    @media (max-width: 1038px) {
      margin: 50px auto;
      max-width: 812px;
      width: auto;
      height: auto;
    }
  }
  &__bg {
    position: absolute;
    top: -20px;
    z-index: -1;
    width: 100%;
    img {
      width: 100%;
      object-fit: cover;
    }
    @media (max-width: 1038px) {
      top: -130px;
    }
  }
  &__main {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
  &__title {
    margin-bottom: 20px;
  }
  &__text {
    max-width: 365px;

    margin-bottom: 40px;
    @media (max-width: 1038px) {
      text-align: center;
    }
  }
  &__img {
    @media (max-width: 1038px) {
      display: flex;
      justify-content: center;
    }
  }
}
</style>
